# Create User

```
CREATE USER QIIB IDENTIFIED BY QIIB
DEFAULT TABLESPACE MPAY_TAB01 
TEMPORARY TABLESPACE TEMP

GRANT ALL ON DBMS_CRYPTO TO QIIB

GRANT CREATE SESSION TO QIIB

GRANT QUERY REWRITE TO QIIB

GRANT UNLIMITED TABLESPACE TO QIIB

GRANT RESOURCE TO QIIB

GRANT CONNECT TO QIIB

GRANT SELECT_CATALOG_ROLE TO QIIB

GRANT SELECT ANY DICTIONARY TO QIIB

GRANT CREATE ANY SNAPSHOT TO QIIB

GRANT CREATE ANY SYNONYM TO QIIB

GRANT CREATE DATABASE LINK TO QIIB
```


# Importing the dump from UAT 

```
imp QIIB/QIIB fromuser=QIIB touser=QIIB file=qiib-uat-dump.dmp ignore=yes
```

# Clean up scripts

```
alter table MPAY_MPCLEARINTEGMSGLOGS disable constraint FK_S4TC2JGGCG1YETRFETRM550SI;

alter table MPAY_EXTERNALINTEGMESSAGES disable constraint FK_T7G9NPC027D8CHFYH8VV348MT;

alter table MPAY_TRNSCHECKOUTRECORDS disable constraint FK_1XWG33UV5RA6USALCUESR5GVY;

alter table MPAY_TRANSACTIONS disable constraint FK_GT4IOR8ALMI8I0JX9Q5GWMQWE;

alter table MPAY_SERVICECASHOUT disable constraint FK_650X3DY2SDPQ855YV9E4C3D3N;

alter table MPAY_SERVICECASHIN disable constraint FK_EN5XNJYGBTIEPI0T3APG2J0MT;

alter table MPAY_SERVICEINTEGMESSAGES disable constraint FK_FOBR93D0WF96VLRXX17XKHCXX;

alter table MPAY_NOTIFICATIONS disable constraint FK_IRLDF6TK2FQ0DE1JA0UNYI7A5;

alter table MPAY_MPCLEARMESSAGES disable constraint FK_LNRP093SHYKCSFF6TXDJQ8KH9;

alter table MPAY_CASHOUT disable constraint FK_E2IH4UDGF0L3CJ9J8J2EHP08X;

alter table MPAY_CASHIN disable constraint FK_2K7VQMSSU2HU3TMM84DGE3TPP;


ALTER TABLE MPAY_TRANSACTIONS

  MODIFY CONSTRAINT FK_GEYWS1J3W7MYXC0MS750R8N0U

  DISABLE

  NOVALIDATE;


ALTER TABLE MPAY_MPCLEARINTEGMSGLOGS

  MODIFY CONSTRAINT FK_CHFUY4T6RQ6VHH0VDWTT0N7L0

  DISABLE

  NOVALIDATE;


ALTER TABLE MPAY_MOBILEACCOUNTS

  MODIFY CONSTRAINT FK_LJ11Y060MJRFKU3VC4BACVJ55

  DISABLE

  NOVALIDATE;
  

ALTER TABLE MPAY_CORPORATES

  MODIFY CONSTRAINT FK_6XPSLLE5M8I6H9CUHJO87T2PE

  DISABLE

  NOVALIDATE;
 

ALTER TABLE MPAY_MOBILEACCOUNTS

  MODIFY CONSTRAINT FK_5WIHDJ23XP08PI98JPA9QCGSN

  DISABLE

  NOVALIDATE;


ALTER TABLE MPAY_SERVICEACCOUNTS

  MODIFY CONSTRAINT FK_K0VWFMUR6EELOPEHB47CUK7TN

  DISABLE

  NOVALIDATE;


ALTER TABLE MPAY_CORPOARTESERVICES

  MODIFY CONSTRAINT FK_CMXC8482PRJMFM7V200O0UNG4

  DISABLE

  NOVALIDATE;


ALTER TABLE MPAY_SERVICECASHOUT

  MODIFY CONSTRAINT FK_HALPA7EO44S7H3Q572PFGEV6Y

  DISABLE

  NOVALIDATE;


ALTER TABLE MPAY_SERVICECASHIN

  MODIFY CONSTRAINT FK_9YE2ERFCQUI6Y0YK2XOKK8F1T

  DISABLE

  NOVALIDATE;


delete from MPAY_AMLCASEITM;


delete from MPAY_AMLCASEGRP;


delete from MPAY_AMLCASES;


delete from MPAY_AMLHITGRP;


delete from MPAY_AMLHITITM;


delete from MPAY_AMLHITS;


delete from MPAY_ATM_VOUCHERITM;


delete from MPAY_ATM_VOUCHERGRP;


delete from MPAY_ATM_VOUCHERS;


delete from MPAY_BANKINTEGMESSAGES;


delete from MPAY_BANKINTEGMESSAGEATT;


delete from MPAY_CLIENTSOTPS;


delete from MPAY_CUSTOMERDEVICES;


delete from MPAY_CUSTOMERITM;


delete from MPAY_CUSTOMERGRP;


delete from MPAY_CUSTOMERMOBILEITM;


delete from MPAY_CUSTOMERMOBILEGRP;


delete from MPAY_MOBILEACCOUNTITM;


delete from MPAY_MOBILEACCOUNTGRP;


delete from MPAY_SYSTEMACCOUNTSCASHOUT;


delete from MPAY_CLIENTSLIMITS;


delete from MPAY_JVDETAILS;


delete from MPAY_CASHIN;


delete from MPAY_CASHOUT;


delete from MPAY_CORPINTEGMESSAGES;


delete from MPAY_CUSTINTEGMESSAGES;


delete from MPAY_FINANCIALINTEGMSGS;


delete from MPAY_EXTERNALINTEGMESSAGES;


delete from MPAY_EXTERNALINTEGMESSAGEATT;


delete from MPAY_MPCLEARMESSAGES;


delete from MPAY_NOTIFICATIONGRP;


delete from MPAY_NOTIFICATIONITM;


delete from MPAY_NOTIFICATIONS;


delete from MPAY_TRNSCHECKOUTRECORDS;


ALTER TABLE MPAY_TRANSACTIONS

  MODIFY CONSTRAINT FK_GEYWS1J3W7MYXC0MS750R8N0U

  DISABLE

  NOVALIDATE;


ALTER TABLE MPAY_MPCLEARINTEGMSGLOGS

  MODIFY CONSTRAINT FK_CHFUY4T6RQ6VHH0VDWTT0N7L0

  DISABLE

  NOVALIDATE;
  

ALTER TABLE MPAY_MOBILEACCOUNTS

  MODIFY CONSTRAINT FK_LJ11Y060MJRFKU3VC4BACVJ55

  DISABLE

  NOVALIDATE;
  

ALTER TABLE MPAY_CORPORATES

  MODIFY CONSTRAINT FK_6XPSLLE5M8I6H9CUHJO87T2PE

  DISABLE

  NOVALIDATE;


ALTER TABLE MPAY_MOBILEACCOUNTS

  MODIFY CONSTRAINT FK_5WIHDJ23XP08PI98JPA9QCGSN

  DISABLE

  NOVALIDATE;


ALTER TABLE MPAY_SERVICEACCOUNTS

  MODIFY CONSTRAINT FK_K0VWFMUR6EELOPEHB47CUK7TN

  DISABLE

  NOVALIDATE;


ALTER TABLE MPAY_CORPOARTESERVICES

  MODIFY CONSTRAINT FK_CMXC8482PRJMFM7V200O0UNG4

  DISABLE

  NOVALIDATE;


ALTER TABLE MPAY_SERVICECASHOUT

  MODIFY CONSTRAINT FK_HALPA7EO44S7H3Q572PFGEV6Y

  DISABLE

  NOVALIDATE;


ALTER TABLE MPAY_SERVICECASHIN

  MODIFY CONSTRAINT FK_9YE2ERFCQUI6Y0YK2XOKK8F1T

  DISABLE

  NOVALIDATE;

truncate table MPAY_MPAYMESSAGES;

delete from MPAY_TRANSACTIONS;


commit;


delete from MPAY_CUSTOMERMOBILES;


delete from MPAY_CUSTOMERS;


commit;

delete from MPAY_MPCLEARINTEGMSGLOGS;


delete from MPAY_MPCLEARINTEGMSGLOGS;


------------------------------------------------------------------------------

delete MPAY_SERVICEACCOUNTS

where id not in 

('7496099999',
'7509099999',
'7522099999',
'7535099999',
'7548099999',
'7561099999',
'7574099999');

------------------------------------------------------------------------------

delete from MPAY_ACCOUNTS where ACCNAME not in('AKB on us cash In',

'QIIBCI QIIB001',

'QIIBCO QIIB001',

'QIIBFEES QIIB001',

'QIIBCLEARING QIIB001',

'QIIBBANKACCOUNT QIIB001',

'QIIBCMSION QIIB001',
'QIIBTAX QIIB001');

commit;

delete from MPAY_CUSTOMERS;

delete MPAY_SERVICECASHOUT;

delete MPAY_SERVICECASHIN;

delete MPAY_CORPOARTESERVICES where name not like 'QIIB%';

delete from MPAY_CORPORATES where NAME not in ('QIIB', 'mpClear');

delete from MPAY_TRANSACTIONSSUMMARY;

delete from MPAY_SESSIONREPORT;

delete from MPAY_MOBILEACCOUNTS;

delete from MPAY_ACCOUNTGRP;

delete from MPAY_ACCOUNTITM;

delete MPAY_SERVICEINTEGMESSAGES;

update MPAY_ACCOUNTS set BALANCE =0;

commit;

alter table MPAY_MPCLEARINTEGMSGLOGS ENABLE VALIDATE constraint FK_S4TC2JGGCG1YETRFETRM550SI;

alter table MPAY_EXTERNALINTEGMESSAGES ENABLE VALIDATE constraint FK_T7G9NPC027D8CHFYH8VV348MT;

alter table MPAY_TRNSCHECKOUTRECORDS ENABLE VALIDATE constraint FK_1XWG33UV5RA6USALCUESR5GVY;

alter table MPAY_TRANSACTIONS ENABLE VALIDATE constraint FK_GT4IOR8ALMI8I0JX9Q5GWMQWE;

alter table MPAY_SERVICECASHOUT ENABLE VALIDATE constraint FK_650X3DY2SDPQ855YV9E4C3D3N;

alter table MPAY_SERVICECASHIN ENABLE VALIDATE constraint FK_EN5XNJYGBTIEPI0T3APG2J0MT;

alter table MPAY_SERVICEINTEGMESSAGES ENABLE VALIDATE constraint FK_FOBR93D0WF96VLRXX17XKHCXX;

alter table MPAY_NOTIFICATIONS ENABLE VALIDATE constraint FK_IRLDF6TK2FQ0DE1JA0UNYI7A5;

alter table MPAY_MPCLEARMESSAGES ENABLE VALIDATE constraint FK_LNRP093SHYKCSFF6TXDJQ8KH9;

alter table MPAY_CASHOUT ENABLE VALIDATE constraint FK_E2IH4UDGF0L3CJ9J8J2EHP08X;

alter table MPAY_CASHIN ENABLE VALIDATE constraint FK_2K7VQMSSU2HU3TMM84DGE3TPP;


ALTER TABLE MPAY_TRANSACTIONS

  MODIFY CONSTRAINT FK_GEYWS1J3W7MYXC0MS750R8N0U

  ENABLE

  VALIDATE;


ALTER TABLE MPAY_MPCLEARINTEGMSGLOGS

  MODIFY CONSTRAINT FK_CHFUY4T6RQ6VHH0VDWTT0N7L0

  ENABLE

  VALIDATE;
  

ALTER TABLE MPAY_MOBILEACCOUNTS

  MODIFY CONSTRAINT FK_LJ11Y060MJRFKU3VC4BACVJ55

  ENABLE

  VALIDATE;
  

ALTER TABLE MPAY_CORPORATES

  MODIFY CONSTRAINT FK_6XPSLLE5M8I6H9CUHJO87T2PE

  ENABLE

  VALIDATE;
 

ALTER TABLE MPAY_MOBILEACCOUNTS

  MODIFY CONSTRAINT FK_5WIHDJ23XP08PI98JPA9QCGSN

  ENABLE

  VALIDATE;


ALTER TABLE MPAY_SERVICEACCOUNTS

  MODIFY CONSTRAINT FK_K0VWFMUR6EELOPEHB47CUK7TN

  ENABLE

  VALIDATE;


ALTER TABLE MPAY_CORPOARTESERVICES

  MODIFY CONSTRAINT FK_CMXC8482PRJMFM7V200O0UNG4

  ENABLE

  VALIDATE;


ALTER TABLE MPAY_SERVICECASHOUT

  MODIFY CONSTRAINT FK_HALPA7EO44S7H3Q572PFGEV6Y

  ENABLE

  VALIDATE;


ALTER TABLE MPAY_SERVICECASHIN

  MODIFY CONSTRAINT FK_9YE2ERFCQUI6Y0YK2XOKK8F1T

  ENABLE

  VALIDATE;
```
